Skip to main content
GET
/
2025-09
/
tenancies
List all Tenancies
curl --request GET \
  --url https://public-api.stora.co/2025-09/tenancies \
  --header 'Authorization: Bearer <token>'
{
  "tenancies": [
    {
      "id": "ten_acaf3269a573af74",
      "contact": {
        "id": "con_195h6kfm9ro15lof"
      },
      "created_at": "2025-02-22T14:41:00Z",
      "ends_at": null,
      "order": {
        "id": "order_cada48ee700021aa"
      },
      "site": {
        "id": "site_14b419f1096013f1"
      },
      "starts_at": "2025-02-22T14:41:00Z",
      "subscription": {
        "id": "sub_125c561ac05edfa1"
      },
      "unit_allocations": [
        {
          "id": "alloc_5f7475758314968d"
        }
      ],
      "updated_at": "2025-02-22T14:41:00Z"
    }
  ],
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ],
    "pagination": {
      "count": 1,
      "last": 1,
      "limit": 50,
      "next": null,
      "page": 1,
      "pages": 1,
      "prev": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Query Parameters

page
integer

Pagination: Page number

Required range: x >= 1
limit
integer

Pagination: Limit number of items per page.

Required range: 1 <= x <= 100
sort_by
enum<string>

Sorting by attribute. Default created_at

Available options:
created_at
sort_direction
enum<string>

Sorting by ASC or DESC direction. Default DESC

Available options:
ASC,
DESC
expand
string[]

This endpoint supports expandable responses. For more, see the documentation page.

Response

200 - application/json

list of tenancies

List of Tenancies

tenancies
object[]
meta
object